<%@ page contentType="text/html; charset=GBK"  errorPage="../error.jsp" %>
<%@ page import = "zr.zrpower.entity.sys.SessionUser"%>
<%@ page import = "zr.zrpower.common.util.SysPreperty"%>
<%@ page import = "zr.zrpower.flowengine.service.FlowControl"%>

<%@ page import = "zr.zrpower.ejb.sys.UIService"%>

<html>
<head>
<%
  request.setCharacterEncoding("GBK");
  response.setContentType("text/html; charset=GBK");

  SessionUser user = (SessionUser)session.getAttribute("userinfo");
  FlowControl FControl = new FlowControl();
  UIService userUI =new UIService();

  String users = request.getParameter("users");//用户编号串
  String cid = request.getParameter("cid");//当前活动id
  String sid = request.getParameter("sid");//分送显示的活动id
  String TitleName = request.getParameter("TitleName");//流程标题
  String ExecuteNo = request.getParameter("ExecuteNo");//当前流程流转id
  String smsvalue = request.getParameter("smsvalue");//发送短信内容
  if (smsvalue==null){smsvalue="";}

  String username = user.getName();
  String svalue="0";
  //执行流程发送流程---
  boolean rvalue = FControl.dosend(ExecuteNo,sid,cid,TitleName,users+"/"+smsvalue,user.getUserID(),username);
  if (rvalue){svalue="1";}
%>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<title>提示</title>
<link REL="stylesheet" type="text/css" href="../../zrsysmanage/css/<%=user.getUserCSS()%>">
<SCRIPT LANGUAGE="JavaScript" src="../../zrsysmanage/script/Public.js"></SCRIPT>
<SCRIPT LANGUAGE="javascript">
function reclose(){
    var rvalue = document.recordfrm.svalue.value;
    window.returnValue =rvalue;
    return rvalue;
}
setTimeout("reclose()",2500);
</script>
</head>
<BODY class="BodyMain">
<FORM method="post" name="recordfrm" action="">
<input type="hidden" name="svalue" value="<%=svalue%>">
<TABLE border="0" width="95%" cellpadding=0 cellspacing=0>
     <TR>
      <TD height="80" align="center" valign="middle">
      <font color="#FF0000">
      系统提示：正在发送中，请等待！
      </font>
      </td></tr>

</TABLE>
</form>
</body>
</html>
<%
//清空相关对象
user = null;
userUI = null;
%>
